Skip to main content
GET
/
v1
/
monitors
List Monitors
curl --request GET \
  --url https://api.olostep.com/v1/monitors \
  --header 'Authorization: Bearer <token>'
{
  "monitors": [
    {
      "id": "<string>",
      "object": "monitor",
      "query": "<string>",
      "tracked": {
        "type": "<string>",
        "urls": [
          "<string>"
        ],
        "web_query": "<string>"
      },
      "source_policy": {
        "include_urls": [
          "<string>"
        ],
        "exclude_urls": [
          "<string>"
        ],
        "include_domains": [
          "<string>"
        ],
        "exclude_domains": [
          "<string>"
        ]
      },
      "schedule": {
        "frequency": "<string>",
        "cron": "<string>",
        "timezone": "UTC",
        "next_run_at": "2023-11-07T05:31:56Z"
      },
      "notification": {
        "events": [],
        "channels": [
          {
            "target": "<string>",
            "events": []
          }
        ]
      },
      "webhook": {
        "url": "<string>"
      },
      "output_schema": {},
      "error_message": "<string>",
      "last_run": {
        "id": "<string>",
        "status": "completed",
        "change_detected": true,
        "ran_at": "2023-11-07T05:31:56Z"
      },
      "agent": {
        "id": "<string>"
      },
      "metadata": {},
      "created": 123,
      "updated": 123,
      "total_count": 123,
      "mermaid_diagram": "<string>"
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Query Parameters

include_deleted
enum<string>
default:false
Available options:
true,
false

Response

Monitor list.

monitors
object[]
count
integer